Package org.eclipse.jgit.treewalk.filter

## Class SkipWorkTreeFilter

- java.lang.Object
- - org.eclipse.jgit.treewalk.filter.TreeFilter
  - - org.eclipse.jgit.treewalk.filter.SkipWorkTreeFilter

    public class SkipWorkTreeFilter
    extends TreeFilter

To be used in combination with a DirCacheIterator: includes only tree entries for which 'skipWorkTree' flag is not set.

### Field Summary

### Fields inherited from class org.eclipse.jgit.treewalk.filter.TreeFilter

`ALL, ANY_DIFF`

### Constructor Summary

Constructors
`SkipWorkTreeFilter​(int treeIdx)` Create a filter to work on the specified DirCacheIterator.

### Method Summary

All Methods Instance Methods Concrete Methods
`TreeFilter` `clone()` Clone this tree filter, including its parameters.
`boolean` `include​(TreeWalk walker)` Determine if the current entry is interesting to report.
`boolean` `shouldBeRecursive()` Does this tree filter require a recursive walk to match everything?
`String` `toString()`

### Methods inherited from class org.eclipse.jgit.treewalk.filter.TreeFilter

`negate`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### SkipWorkTreeFilter

    public SkipWorkTreeFilter​(int treeIdx)

Create a filter to work on the specified DirCacheIterator.

Parameters:
  `treeIdx` - index of DirCacheIterator to work on. If the index does not refer to a DirCacheIterator, the filter will include all entries.

### Method Detail

#### include

    public boolean include​(TreeWalk walker)

Description copied from class: `TreeFilter`
Determine if the current entry is interesting to report.

This method is consulted for subtree entries even if `TreeWalk.isRecursive()` is enabled. The consultation allows the filter to bypass subtree recursion on a case-by-case basis, even when recursion is enabled at the application level.

Specified by:
  `include` in class `TreeFilter`
Parameters:
  `walker` - the walker the filter needs to examine.
Returns:
  true if the current entry should be seen by the application; false to hide the entry.

#### shouldBeRecursive

    public boolean shouldBeRecursive()

Description copied from class: `TreeFilter`
Does this tree filter require a recursive walk to match everything?

If this tree filter is matching on full entry path names and its pattern is looking for a '/' then the filter would require a recursive TreeWalk to accurately make its decisions. The walker is not required to enable recursive behavior for any particular filter, this is only a hint.

Specified by:
  `shouldBeRecursive` in class `TreeFilter`
Returns:
  true if the filter would like to have the walker recurse into subtrees to make sure it matches everything correctly; false if the filter does not require entering subtrees.

#### clone

    public TreeFilter clone()

Description copied from class: `TreeFilter`
Clone this tree filter, including its parameters.

This is a deep clone. If this filter embeds objects or other filters it must also clone those, to ensure the instances do not share mutable data.

Specified by:
  `clone` in class `TreeFilter`
Returns:
  another copy of this filter, suitable for another thread.

#### toString

    public String toString()

Overrides:
  `toString` in class `TreeFilter`